<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
SetToken Method (IEdmSearch6)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmSearch6 Interface : SetToken Method (IEdmSearch6)

Visual Basic
C#
C++/CLI

eTok
  Search token for which to set a value as defined in EdmSearchToken (see Remarks)

oValue
  New value for token

Sets the specified token with the specified value.

# Syntax

Visual Basic |
--- | ---

    Sub SetToken( _
       ByVal eTok As EdmSearchToken, _
       ByVal oValue As System.Object _
    )

C# |
--- | ---

    void SetToken(
       EdmSearchToken eTok,
       System.object oValue
    )

C++/CLI |
--- | ---

    void SetToken(
    &   EdmSearchToken eTok,
    &   System.Object^ oValue
    )

#### Parameters

eTok
  Search token for which to set a value as defined in EdmSearchToken (see Remarks)
oValue
  New value for token

# Example

See the IEdmSearch6 and IEdmSearch9 examples.

# Remarks

For every search you must explicitly set EdmSearchToken.Edmstok_AllVersions to either true or false. If you leave it unset, unexpected search results can occur.

If the search object was obtained using IEdmVault21::CreateSearch2 (IEdmSearch9), then oValue may contain extended search syntax. (See Search Syntax.)

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmSearch6 Interface
IEdmSearch6 Members

# Availability

SOLIDWORKS PDM Professional 2007